<?php
class ControllerExtensionModuleAdminProductMinifier extends Controller {
	private $error = array(); 

	public function index() {   



		$this->load->language('extension/module/adminproductminifier');

		$this->document->setTitle($this->language->get('heading_title'));

		$this->load->model('setting/setting');

		if (($this->request->server['REQUEST_METHOD'] == 'POST') && $this->validate()) {

			$this->model_setting_setting->editSetting('module_adminproductminifier', $this->request->post);
			$this->session->data['success'] = $this->language->get('text_success');
			$this->response->redirect($this->url->link('marketplace/extension', 'user_token=' . $this->session->data['user_token'], 'SSL'));
		}

		$data['heading_title'] = $this->language->get('heading_title');

		if (isset($this->error['warning'])) {
			$data['error_warning'] = $this->error['warning'];
		} else {
			$data['error_warning'] = '';
		}

		$data['breadcrumbs'] = array();

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('text_home'),
			'href'      => $this->url->link('common/dashboard', 'user_token=' . $this->session->data['user_token'], 'SSL'),
			'separator' => false
		);

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('text_extension'),
			'href'      => $this->url->link('marketplace/extension', 'user_token=' . $this->session->data['user_token'], 'SSL'),
			'separator' => ' :: '
		);

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('heading_title'),
			'href'      => $this->url->link('extension/module/adminproductminifier', 'user_token=' . $this->session->data['user_token'], 'SSL'),
			'separator' => ' :: '
		);

		$data['action'] = $this->url->link('extension/module/adminproductminifier', 'user_token=' . $this->session->data['user_token'], 'SSL');

		$data['cancel'] = $this->url->link('marketplace/extension', 'user_token=' . $this->session->data['user_token'], 'SSL');

		$data['modules'] = array();

		if (isset($this->request->post['module_adminproductminifier'])) {
			$data['modules'] = $this->request->post['module_adminproductminifier'];
		} elseif ($this->config->get('module_adminproductminifier')) { 
			$data['modules'] = $this->config->get('module_adminproductminifier');

		}

		if (isset($this->request->post['module_adminproductminifier_status'])) {
			$data['module_adminproductminifier_status'] = $this->request->post['module_adminproductminifier_status'];
		} else {
			$data['module_adminproductminifier_status'] = $this->config->get('module_adminproductminifier_status');
		}

		if (isset($this->request->post['module_adminproductminifier_meta_description'])) {
			$data['module_adminproductminifier_meta_description'] = $this->request->post['module_adminproductminifier_meta_description'];
		} else {
			$data['module_adminproductminifier_meta_description'] = $this->config->get('module_adminproductminifier_meta_description');
		}

		if (isset($this->request->post['module_adminproductminifier_meta_keywords'])) {
			$data['module_adminproductminifier_meta_keywords'] = $this->request->post['module_adminproductminifier_meta_keywords'];
		} else {
			$data['module_adminproductminifier_meta_keywords'] = $this->config->get('module_adminproductminifier_meta_keywords');
		}

		if (isset($this->request->post['module_adminproductminifier_product_tabs'])) {
			$data['module_adminproductminifier_product_tabs'] = $this->request->post['module_adminproductminifier_product_tabs'];
		} else {
			$data['module_adminproductminifier_product_tabs'] = $this->config->get('module_adminproductminifier_product_tabs');
		}

		if (isset($this->request->post['module_adminproductminifier_sku'])) {
			$data['module_adminproductminifier_sku'] = $this->request->post['module_adminproductminifier_sku'];
		} else {
			$data['module_adminproductminifier_sku'] = $this->config->get('module_adminproductminifier_sku');
		}

		if (isset($this->request->post['module_adminproductminifier_upc'])) {
			$data['module_adminproductminifier_upc'] = $this->request->post['module_adminproductminifier_upc'];
		} else {
			$data['module_adminproductminifier_upc'] = $this->config->get('module_adminproductminifier_upc');
		}

		if (isset($this->request->post['module_adminproductminifier_ean'])) {
			$data['module_adminproductminifier_ean'] = $this->request->post['module_adminproductminifier_ean'];
		} else {
			$data['module_adminproductminifier_ean'] = $this->config->get('module_adminproductminifier_ean');
		}

		if (isset($this->request->post['module_adminproductminifier_jan'])) {
			$data['module_adminproductminifier_jan'] = $this->request->post['module_adminproductminifier_jan'];
		} else {
			$data['module_adminproductminifier_jan'] = $this->config->get('module_adminproductminifier_jan');
		}

		if (isset($this->request->post['module_adminproductminifier_isbn'])) {
			$data['module_adminproductminifier_isbn'] = $this->request->post['module_adminproductminifier_isbn'];
		} else {
			$data['module_adminproductminifier_isbn'] = $this->config->get('module_adminproductminifier_isbn');
		}

		if (isset($this->request->post['module_adminproductminifier_mnp'])) {
			$data['module_adminproductminifier_mnp'] = $this->request->post['module_adminproductminifier_mnp'];
		} else {
			$data['module_adminproductminifier_mnp'] = $this->config->get('module_adminproductminifier_mnp');
		}

		if (isset($this->request->post['module_adminproductminifier_location'])) {
			$data['module_adminproductminifier_location'] = $this->request->post['module_adminproductminifier_location'];
		} else {
			$data['module_adminproductminifier_location'] = $this->config->get('module_adminproductminifier_location');
		}

		if (isset($this->request->post['module_adminproductminifier_price'])) {
			$data['module_adminproductminifier_price'] = $this->request->post['module_adminproductminifier_price'];
		} else {
			$data['module_adminproductminifier_price'] = $this->config->get('module_adminproductminifier_price');
		}

		if (isset($this->request->post['module_adminproductminifier_tax_class'])) {
			$data['module_adminproductminifier_tax_class'] = $this->request->post['module_adminproductminifier_tax_class'];
		} else {
			$data['module_adminproductminifier_tax_class'] = $this->config->get('module_adminproductminifier_tax_class');
		}

		if (isset($this->request->post['module_adminproductminifier_quantity'])) {
			$data['module_adminproductminifier_quantity'] = $this->request->post['module_adminproductminifier_quantity'];
		} else {
			$data['module_adminproductminifier_quantity'] = $this->config->get('module_adminproductminifier_quantity');
		}

		if (isset($this->request->post['module_adminproductminifier_minimum_quantity'])) {
			$data['module_adminproductminifier_minimum_quantity'] = $this->request->post['module_adminproductminifier_minimum_quantity'];
		} else {
			$data['module_adminproductminifier_minimum_quantity'] = $this->config->get('module_adminproductminifier_minimum_quantity');
		}

		if (isset($this->request->post['module_adminproductminifier_subtract_stock'])) {
			$data['module_adminproductminifier_subtract_stock'] = $this->request->post['module_adminproductminifier_subtract_stock'];
		} else {
			$data['module_adminproductminifier_subtract_stock'] = $this->config->get('module_adminproductminifier_subtract_stock');
		}

		if (isset($this->request->post['module_adminproductminifier_out_of_stock'])) {
			$data['module_adminproductminifier_out_of_stock'] = $this->request->post['module_adminproductminifier_out_of_stock'];
		} else {
			$data['module_adminproductminifier_out_of_stock'] = $this->config->get('module_adminproductminifier_out_of_stock');
		}

		if (isset($this->request->post['module_adminproductminifier_requires_shipping'])) {
			$data['module_adminproductminifier_requires_shipping'] = $this->request->post['module_adminproductminifier_requires_shipping'];
		} else {
			$data['module_adminproductminifier_requires_shipping'] = $this->config->get('module_adminproductminifier_requires_shipping');
		}

		if (isset($this->request->post['module_adminproductminifier_seo_keyword'])) {
			$data['module_adminproductminifier_seo_keyword'] = $this->request->post['module_adminproductminifier_seo_keyword'];
		} else {
			$data['module_adminproductminifier_seo_keyword'] = $this->config->get('module_adminproductminifier_seo_keyword');
		}

		if (isset($this->request->post['module_adminproductminifier_date_available'])) {
			$data['module_adminproductminifier_date_available'] = $this->request->post['module_adminproductminifier_date_available'];
		} else {
			$data['module_adminproductminifier_date_available'] = $this->config->get('module_adminproductminifier_date_available');
		}

		if (isset($this->request->post['module_adminproductminifier_dimensions'])) {
			$data['module_adminproductminifier_dimensions'] = $this->request->post['module_adminproductminifier_dimensions'];
		} else {
			$data['module_adminproductminifier_dimensions'] = $this->config->get('module_adminproductminifier_dimensions');
		}

		if (isset($this->request->post['module_adminproductminifier_length_class'])) {
			$data['module_adminproductminifier_length_class'] = $this->request->post['module_adminproductminifier_length_class'];
		} else {
			$data['module_adminproductminifier_length_class'] = $this->config->get('module_adminproductminifier_length_class');
		}

		if (isset($this->request->post['module_adminproductminifier_weight'])) {
			$data['module_adminproductminifier_weight'] = $this->request->post['module_adminproductminifier_weight'];
		} else {
			$data['module_adminproductminifier_weight'] = $this->config->get('module_adminproductminifier_weight');
		}

		if (isset($this->request->post['module_adminproductminifier_weight_class'])) {
			$data['module_adminproductminifier_weight_class'] = $this->request->post['module_adminproductminifier_weight_class'];
		} else {
			$data['module_adminproductminifier_weight_class'] = $this->config->get('module_adminproductminifier_weight_class');
		}

		if (isset($this->request->post['module_adminproductminifier_sort_order'])) {
			$data['module_adminproductminifier_sort_order'] = $this->request->post['module_adminproductminifier_sort_order'];
		} else {
			$data['module_adminproductminifier_sort_order'] = $this->config->get('module_adminproductminifier_sort_order');
		}

		if (isset($this->request->post['module_adminproductminifier_manufacturers'])) {
			$data['module_adminproductminifier_manufacturers'] = $this->request->post['module_adminproductminifier_manufacturers'];
		} else {
			$data['module_adminproductminifier_manufacturers'] = $this->config->get('module_adminproductminifier_manufacturers');
		}

		if (isset($this->request->post['module_adminproductminifier_filters'])) {
			$data['module_adminproductminifier_filters'] = $this->request->post['module_adminproductminifier_filters'];
		} else {
			$data['module_adminproductminifier_filters'] = $this->config->get('module_adminproductminifier_filters');
		}

		if (isset($this->request->post['module_adminproductminifier_stores'])) {
			$data['module_adminproductminifier_stores'] = $this->request->post['module_adminproductminifier_stores'];
		} else {
			$data['module_adminproductminifier_stores'] = $this->config->get('module_adminproductminifier_stores');
		}

		if (isset($this->request->post['module_adminproductminifier_downloads'])) {
			$data['module_adminproductminifier_downloads'] = $this->request->post['module_adminproductminifier_downloads'];
		} else {
			$data['module_adminproductminifier_downloads'] = $this->config->get('module_adminproductminifier_downloads');
		}

		if (isset($this->request->post['module_adminproductminifier_related_products'])) {
			$data['module_adminproductminifier_related_products'] = $this->request->post['module_adminproductminifier_related_products'];
		} else {
			$data['module_adminproductminifier_related_products'] = $this->config->get('module_adminproductminifier_related_products');
		}

		if (isset($this->request->post['module_adminproductminifier_tab_attribute'])) {
			$data['module_adminproductminifier_tab_attribute'] = $this->request->post['module_adminproductminifier_tab_attribute'];
		} else {
			$data['module_adminproductminifier_tab_attribute'] = $this->config->get('module_adminproductminifier_tab_attribute');
		}

		if (isset($this->request->post['module_adminproductminifier_tab_option'])) {
			$data['module_adminproductminifier_tab_option'] = $this->request->post['module_adminproductminifier_tab_option'];
		} else {
			$data['module_adminproductminifier_tab_option'] = $this->config->get('module_adminproductminifier_tab_option');
		}

		if (isset($this->request->post['module_adminproductminifier_tab_recurring'])) {
			$data['module_adminproductminifier_tab_recurring'] = $this->request->post['module_adminproductminifier_tab_recurring'];
		} else {
			$data['module_adminproductminifier_tab_recurring'] = $this->config->get('module_adminproductminifier_tab_recurring');
		}

		if (isset($this->request->post['module_adminproductminifier_tab_discount'])) {
			$data['module_adminproductminifier_tab_discount'] = $this->request->post['module_adminproductminifier_tab_discount'];
		} else {
			$data['module_adminproductminifier_tab_discount'] = $this->config->get('module_adminproductminifier_tab_discount');
		}

		if (isset($this->request->post['module_adminproductminifier_tab_special'])) {
			$data['module_adminproductminifier_tab_special'] = $this->request->post['module_adminproductminifier_tab_special'];
		} else {
			$data['module_adminproductminifier_tab_special'] = $this->config->get('module_adminproductminifier_tab_special');
		}

		if (isset($this->request->post['module_adminproductminifier_tab_reward_points'])) {
			$data['module_adminproductminifier_tab_reward_points'] = $this->request->post['module_adminproductminifier_tab_reward_points'];
		} else {
			$data['module_adminproductminifier_tab_reward_points'] = $this->config->get('module_adminproductminifier_tab_reward_points');
		}

		if (isset($this->request->post['module_adminproductminifier_tab_seo'])) {
			$data['module_adminproductminifier_tab_seo'] = $this->request->post['module_adminproductminifier_tab_seo'];
		} else {
			$data['module_adminproductminifier_tab_seo'] = $this->config->get('module_adminproductminifier_tab_seo');
		}

		if (isset($this->request->post['module_adminproductminifier_tab_design'])) {
			$data['module_adminproductminifier_tab_design'] = $this->request->post['module_adminproductminifier_tab_design'];
		} else {
			$data['module_adminproductminifier_tab_design'] = $this->config->get('module_adminproductminifier_tab_design');
		}

		if (isset($this->request->post['module_adminproductminifier_price_default'])) {
			if (!empty($this->request->post['module_adminproductminifier_price_default'])) {
				$data['module_adminproductminifier_price_default'] = $this->request->post['module_adminproductminifier_price_default'];
			} else {
				$data['module_adminproductminifier_price_default'] = 0;
			}
		} else {
				$data['module_adminproductminifier_price_default'] = $this->config->get('module_adminproductminifier_price_default');
		}

		if (isset($this->request->post['module_adminproductminifier_quantity_default'])) {
			if (!empty($this->request->post['module_adminproductminifier_quantity_default'])) {
				$data['module_adminproductminifier_quantity_default'] = $this->request->post['module_adminproductminifier_quantity_default'];
			} else {
				$data['module_adminproductminifier_quantity_default'] = 1;
			}							
		} else {
			$data['module_adminproductminifier_quantity_default'] = $this->config->get('module_adminproductminifier_quantity_default');
		}

		$this->load->model('design/layout');

		$data['layouts'] = $this->model_design_layout->getLayouts();

		$data['header'] = $this->load->controller('common/header');
		$data['footer'] = $this->load->controller('common/footer');
		$data['column_left'] = $this->load->controller('common/column_left');

		$this->response->setOutput($this->load->view('extension/module/adminproductminifier', $data));

	}

	protected function validate() {
		if (!$this->user->hasPermission('modify', 'extension/module/adminproductminifier')) {
			$this->error['warning'] = $this->language->get('error_permission');
		}

		return !$this->error;	
	}

}
?>